<mat-toolbar class="mat-elevation-z4" color="primary">
  <span>EdgSolutions</span>
  <span class="spacer"></span>
  <button mat-button (click)="goHome()">Home</button>&nbsp;
  <button mat-button (click)="goProfile()" *ngIf="auth.loggedIn">Profile</button>
  <button mat-button (click)="auth.login()" *ngIf="!auth.loggedIn">Log In</button>
  <button mat-button (click)="auth.logout()" *ngIf="auth.loggedIn">Log Out</button>
</mat-toolbar>
